Funky Spock Plugin

  • Tags: /
  • Latest: 0.2.2
  • Last Updated: 23 February 2014
  • Grails version: 2.0 > *
1 vote
Dependency:
compile ":funky-spock:0.2.2"

 Documentation  Source  Issues

Summary

Adds spock test type to functional testing phase.

Installation

For grails-2 add the following line to the plugins section of your BuildConfig.groovy:

test ":funky-spock:0.2.2"

For versions of grails earlier than 2.3, also follow the Spock Plugin instructions to install it and its dependencies. For example, if using grails 2.2:

dependencies {
  test "org.spockframework:spock-grails-support:0.7-groovy-2.0"
}

plugins { test(":spock:0.7") { exclude "spock-grails-support" }

test ":funky-spock:0.2.2"

Description

Run spock specs in the functional test phase.
grails test-app functional:spock